{% extends "webbase.html" %}
{% block title %}Setting New password{% endblock %}

{% block content %}
    <div class="container">
        {% if page_code == 0 %}
            <!--Change password page-->
            <section class="error-wrapper">
                <h1 class="text-success text-center">New Password has been activated !</h1>
                <h2 class="text-info text-center">You can use the password to log in to roann style club Apps, or update password
                    new one</h2>
                <h1 class="text-primary text-center">Update New Password!</h1>
                <h2></h2>
                <form class="form-horizontal" action="{% url 'do_update_password' %}" role="form" method="post">

                    <input type="hidden" name="csrfmiddlewaretoken" value="{{ csrf_token }}">
                    <div align="center">
                        <div class="col-lg-12">
                            <label class="text-center text-danger">{{ state }}</label>
                            <br/>
                            <input type="password" name="password" placeholder="Password" autocomplete="off"
                                   value="{{ password_new }}"
                                   class="form-control placeholder-no-fix" style="max-width: 400px">
                            <br/>
                            <input type="password" name="password_confirm" placeholder="Password Confirm"
                                   autocomplete="off"
                                   value="{{ password_confirm }}"
                                   class="form-control placeholder-no-fix" style="max-width: 400px">


                        </div>
                        <div class="col-lg-12">
                            <div>&nbsp;
                                <input type="hidden" name="csfrcus" value="{{ token }}">
                            </div>
                            <button id="btnUpdate" type="submit" class="btn btn-success btn-lg btn-block"
                                    style="max-width: 400px">
                                Update Password
                            </button>

                        </div>
                    </div>
                </form>
            </section>
            <!--End change password page-->
        {% endif %}

        {% if page_code == 1 %}
            <!--Invalid token page-->
            <section class="error-wrapper">
                <h1 class="text-danger text-center">Invalid session or session expired!</h1>
                <h2 class="text-primary text-center">
                    <p>Please request new session in roann style club Apps.</p>
                    <p>Thanks you !</p>
                </h2>
            </section>
            <!--End Invalid token page-->
        {% endif %}

        {% if page_code == 2 %}
            <!--success page-->
            <section class="error-wrapper">
                <h1 class="text-success text-center">{{ state }}</h1>
                <h2 class="text-info text-center">
                    <p>
                        Please use this password for log in to roann style club Apps. Thank you !
                    </p>
                    <p>
                        請使用此密碼登錄roann style club 應用程序。 謝謝 !
                    </p>
                </h2>
            </section>
            <!--End success page-->
        {% endif %}
    </div>
{% endblock %}